#pragma once


#include "WinNotifyDoc.h"


class CMainFrame : public CFrameWnd
{
protected: // create from serialization only
#pragma warning(suppress: 26455)
  CMainFrame() {}; //NOLINT(modernize-use-equals-default)

public:
//Constructors / Destructors
  CMainFrame(const CMainFrame&) = delete;
  CMainFrame(CMainFrame&&) = delete;
  ~CMainFrame() = default; //NOLINT(modernize-use-override)

//Methods
  CMainFrame& operator=(const CMainFrame&) = delete;
  CMainFrame& operator=(CMainFrame&&) = delete;

protected:
//Member variables
  CStatusBar m_wndStatusBar;
  CToolBar m_wndToolBar;

//Methods
  BOOL PreCreateWindow(CREATESTRUCT& cs) override;
  CWinNotifyDoc* GetDoc();

//Message handlers
  afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
  afx_msg void OnActivate(UINT nState, CWnd* pWndOther, BOOL bMinimized);
  afx_msg void OnClose();

  DECLARE_MESSAGE_MAP()
  DECLARE_DYNCREATE(CMainFrame)
};
