#pragma once


class CWinNotifyView : public CFormView
{
protected:
  CWinNotifyView();

public:
//Constructors / Destructors
  CWinNotifyView(const CWinNotifyView&) = delete;
  CWinNotifyView(CWinNotifyView&&) = delete;
  ~CWinNotifyView() = default; //NOLINT(modernize-use-override)

//Methods
  CWinNotifyView& operator=(const CWinNotifyView&) = delete;
  CWinNotifyView& operator=(CWinNotifyView&&) = delete;

protected:
//Methods
  void DoDataExchange(CDataExchange* pDX) override;
  void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint) override;
  _NODISCARD CWinNotifyDoc* GetDoc() const;

//Member variables
  enum { IDD = IDD_MAINFRAME };
  CString m_sMessage;
  CString m_sFrom;
  CString m_sTimeAndTo;
  UINT_PTR m_nTimerID;

//Message handlers
  afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
  afx_msg void OnDestroy();
  afx_msg void OnTimer(UINT_PTR nIDEvent);
  afx_msg void OnUpdateMessage(CCmdUI* pCmdUI);

  DECLARE_MESSAGE_MAP()
  DECLARE_DYNCREATE(CWinNotifyView)
};
